apiVersion: argoproj.io/v1alpha1
kind: ArgoCD
metadata:
  creationTimestamp: '2022-06-20T13:52:22Z'
  finalizers:
    - argoproj.io/finalizer
  generation: 2
  managedFields:
    - apiVersion: argoproj.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:controller':
            .: {}
            'f:resources':
              .: {}
              'f:limits': {}
              'f:requests':
                .: {}
                'f:cpu': {}
          'f:dex':
            .: {}
            'f:openShiftOAuth': {}
            'f:resources':
              .: {}
              'f:limits':
                .: {}
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
          'f:ha':
            .: {}
            'f:enabled': {}
            'f:resources':
              .: {}
              'f:limits':
                .: {}
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
          'f:rbac':
            .: {}
            'f:defaultPolicy': {}
            'f:policy': {}
            'f:scopes': {}
          'f:redis':
            .: {}
            'f:resources':
              .: {}
              'f:limits':
                .: {}
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
          'f:repo':
            .: {}
            'f:resources':
              .: {}
              'f:limits': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
          'f:server':
            .: {}
            'f:resources':
              .: {}
              'f:limits':
                .: {}
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                .: {}
                'f:cpu': {}
                'f:memory': {}
            'f:route':
              .: {}
              'f:enabled': {}
      manager: Mozilla
      operation: Update
      time: '2022-06-20T13:52:22Z'
    - apiVersion: argoproj.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"argoproj.io/finalizer"': {}
        'f:spec':
          'f:controller':
            'f:processors': {}
            'f:resources':
              'f:limits':
                'f:cpu': {}
                'f:memory': {}
              'f:requests':
                'f:memory': {}
            'f:sharding': {}
          'f:grafana':
            .: {}
            'f:enabled': {}
            'f:ingress':
              .: {}
              'f:enabled': {}
            'f:route':
              .: {}
              'f:enabled': {}
          'f:initialSSHKnownHosts': {}
          'f:prometheus':
            .: {}
            'f:enabled': {}
            'f:ingress':
              .: {}
              'f:enabled': {}
            'f:route':
              .: {}
              'f:enabled': {}
          'f:repo':
            'f:resources':
              'f:limits':
                'f:cpu': {}
                'f:memory': {}
          'f:server':
            'f:autoscale':
              .: {}
              'f:enabled': {}
            'f:grpc':
              .: {}
              'f:ingress':
                .: {}
                'f:enabled': {}
            'f:ingress':
              .: {}
              'f:enabled': {}
            'f:service':
              .: {}
              'f:type': {}
          'f:tls':
            .: {}
            'f:ca': {}
      manager: manager
      operation: Update
      time: '2022-06-20T13:52:25Z'
    - apiVersion: argoproj.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:dex': {}
          'f:repo': {}
          'f:redis': {}
          'f:phase': {}
          .: {}
          'f:server': {}
          'f:applicationController': {}
          'f:host': {}
          'f:ssoConfig': {}
      manager: manager
      operation: Update
      subresource: status
      time: '2022-06-20T13:52:33Z'
  name: argocd
  namespace: openshift-operators
  resourceVersion: '34456049'
  uid: 1abb5e72-174c-40ea-92af-825e21a22996
spec:
  server:
    autoscale:
      enabled: false
    grpc:
      ingress:
        enabled: false
    ingress:
      enabled: false
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 125m
        memory: 128Mi
    route:
      enabled: true
    service:
      type: ''
  grafana:
    enabled: false
    ingress:
      enabled: false
    route:
      enabled: false
  prometheus:
    enabled: false
    ingress:
      enabled: false
    route:
      enabled: false
  initialSSHKnownHosts: {}
  rbac:
    defaultPolicy: ''
    policy: |
      g, system:cluster-admins, role:admin
    scopes: '[groups]'
  repo:
    resources:
      limits:
        cpu: '1'
        memory: 1Gi
      requests:
        cpu: 250m
        memory: 256Mi
  dex:
    openShiftOAuth: true
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
  ha:
    enabled: false
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
  tls:
    ca: {}
  redis:
    resources:
      limits:
        cpu: 500m
        memory: 256Mi
      requests:
        cpu: 250m
        memory: 128Mi
  controller:
    processors: {}
    resources:
      limits:
        cpu: '2'
        memory: 2Gi
      requests:
        cpu: 250m
        memory: 1Gi
    sharding: {}
status:
  applicationController: Running
  dex: Running
  host: argocd-server-openshift-operators.apps.ocp4.kimmlingen.org
  phase: Available
  redis: Running
  repo: Running
  server: Running
  ssoConfig: Success

